Bug 1253610 - [virtio-win][vioscsi] Throughput with queue=4 is worse than queue=1
[virtio-win][vioscsi] Throughput with queue=4 is worse than queue=1
Status: ASSIGNED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virtio-win (Show other bugs)
7.2
x86_64 Windows
medium Severity high
: rc
: ---
Assigned To: Vadim Rozenfeld
Yanhui Ma
:
Depends On:
Blocks: 911394 1401400 1473046 1288337
  Show dependency treegraph
 
Reported: 2015-08-14 05:11 EDT by Yanhui Ma
Modified: 2017-08-02 04:57 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 3 Vadim Rozenfeld 2016-03-22 20:43:58 EDT
Can we re-test this issue with more resent drivers ( build 116  http://download.devel.redhat.com/brewroot/packages/virtio-win-prewhql/0.1/116/win/virtio-win-prewhql-0.1.zip ) on Windows Server 2012R2 ?

Thanks,
Vadim.
Comment 4 Yanhui Ma 2016-03-23 01:55:41 EDT
(In reply to Vadim Rozenfeld from comment #3)
> Can we re-test this issue with more resent drivers ( build 116 
> http://download.devel.redhat.com/brewroot/packages/virtio-win-prewhql/0.1/
> 116/win/virtio-win-prewhql-0.1.zip ) on Windows Server 2012R2 ?
> 
> Thanks,
> Vadim.
ok, will update results asap.
Comment 5 Yumei Huang 2016-03-29 03:12:03 EDT
(In reply to Vadim Rozenfeld from comment #3)
> Can we re-test this issue with more resent drivers ( build 116 
> http://download.devel.redhat.com/brewroot/packages/virtio-win-prewhql/0.1/
> 116/win/virtio-win-prewhql-0.1.zip ) on Windows Server 2012R2 ?

Since there is a bug about build 116 (bz1321774), we failed to re-test this issue with it.
Comment 6 Yanhui Ma 2016-07-12 23:35:52 EDT
(In reply to Vadim Rozenfeld from comment #3)
> Can we re-test this issue with more resent drivers ( build 116 
> http://download.devel.redhat.com/brewroot/packages/virtio-win-prewhql/0.1/
> 116/win/virtio-win-prewhql-0.1.zip ) on Windows Server 2012R2 ?
> 
> Thanks,
> Vadim.

Here are results with virtio-win-prewhql-0.1-121 on Windows Server 2012R2.
http://kvm-perf.englab.nay.redhat.com/results/request/bug1253610/multiqueue+virtio_win_prewhql121/Win2012r2.x86_64.fio_win.html

Multiqueue performance is still worse than single queue.
Comment 7 Vadim Rozenfeld 2016-07-13 01:10:19 EDT
(In reply to Yanhui Ma from comment #6)
> (In reply to Vadim Rozenfeld from comment #3)
> > Can we re-test this issue with more resent drivers ( build 116 
> > http://download.devel.redhat.com/brewroot/packages/virtio-win-prewhql/0.1/
> > 116/win/virtio-win-prewhql-0.1.zip ) on Windows Server 2012R2 ?
> > 
> > Thanks,
> > Vadim.
> 
> Here are results with virtio-win-prewhql-0.1-121 on Windows Server 2012R2.
> http://kvm-perf.englab.nay.redhat.com/results/request/bug1253610/
> multiqueue+virtio_win_prewhql121/Win2012r2.x86_64.fio_win.html
> 
> Multiqueue performance is still worse than single queue.

thanks a lot.
we are working on improving mq performance.
Vadim.

Note You need to log in before you can comment on or make changes to this bug.